Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan.inspect
Class PlanInspector

    java.lang.Object
      ix.icore.plan.inspect.PlanInspector

    public class PlanInspector

extends java.lang.Object

Plan-inspection utility.

Field Summary
`protected boolean` | `isAutoRecursive`
`protected Plan` | `plan`

Constructor Summary
`PlanInspector(Plan plan)`

Method Summary
`java.util.Set` | `getActivityIdSet()`
`protected java.util.Set` | `getIdSet(java.util.List rootPlanItems)`
`java.util.Set` | `getIssueIdSet()`
`protected AbstractRefinement` | `getRefinement(Name id)`
`protected java.util.List` | `getSubitems(AbstractPlanItem pi)`
`PlanInspector` | `setIsAutoRecursive(boolean v)`
`AbstractPlanItem` | `toPlanItem(TaskItem ti)`
`void` | `walkActivities(TaskItemVisitor v)`
`void` | `walkIssues(TaskItemVisitor v)`
`protected void` | `walkOrderings(ix.icore.domain.ListOfConstrainer constraints, OrderingVisitor v)`
`void` | `walkOrderings(OrderingVisitor v)`
`protected void` | `walkPlanItems(java.util.List planItems, AbstractPlanItem parent, PlanItemVisitor v)`
`void` | `walkPlanNodes(PlanItemVisitor v)`
`void` | `walkTaskItemChildren(TaskItem item, TaskItemVisitor v)`
`protected void` | `walkTaskItems(java.util.List rootPlanItems, TaskItemVisitor v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plan

    protected Plan plan

### isAutoRecursive

    protected boolean isAutoRecursive

Constructor Detail

### PlanInspector

    public PlanInspector(Plan plan)

Method Detail

### setIsAutoRecursive

    public PlanInspector setIsAutoRecursive(boolean v)

### getIssueIdSet

    public java.util.Set getIssueIdSet()

### getActivityIdSet

    public java.util.Set getActivityIdSet()

### getIdSet

    protected java.util.Set getIdSet(java.util.List rootPlanItems)

### walkIssues

    public void walkIssues(TaskItemVisitor v)

### walkActivities

    public void walkActivities(TaskItemVisitor v)

### walkTaskItems

    protected void walkTaskItems(java.util.List rootPlanItems,
                                 TaskItemVisitor v)

### walkTaskItemChildren

    public void walkTaskItemChildren(TaskItem item,
                                     TaskItemVisitor v)

### toPlanItem

    public AbstractPlanItem toPlanItem(TaskItem ti)

### walkPlanNodes

    public void walkPlanNodes(PlanItemVisitor v)

### walkPlanItems

    protected void walkPlanItems(java.util.List planItems,
                                 AbstractPlanItem parent,
                                 PlanItemVisitor v)

### getSubitems

    protected java.util.List getSubitems(AbstractPlanItem pi)

### getRefinement

    protected AbstractRefinement getRefinement(Name id)

### walkOrderings

    public void walkOrderings(OrderingVisitor v)

### walkOrderings

    protected void walkOrderings(ix.icore.domain.ListOfConstrainer constraints,
                                 OrderingVisitor v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD